<header class="login-page">
    <div class="container">
        <div class="header-logo"><a href="#"><img src="images/logo.png" alt=""> </a></div>
    </div>
</header>

<div class="login-wrapper main-content">

    <div class="container">
        <div class="row align-items-center">

            <div class="col-lg-12 position-relative">
                <div class="home-search">
                    <h1>Login</h1>

                    <form action="" [formGroup]="loginForm">
                        <div class="form-group animated"
                            [ngClass]="{'has-error': submitted && (loginForm.controls.email.errors)}">
                            <input class="form-control" formControlName="email" autocomplete="on" type="text"
                                placeholder="Registered User ID/Email Address" required [pattern]="emailRegex">

                            <span class="error-msg"
                                *ngIf="(submitted && loginForm.controls.email.errors?.required) || isValid('email')">Username
                                cannot
                                be blank</span>
                        </div>
                        <div class="form-group animated"
                            [ngClass]="{'has-error': submitted && (loginForm.controls.email.errors)}">
                            <input class="form-control" formControlName="password" type="password"
                                placeholder="Password" required (keyup.enter)="focusableSubmit.click()">
                            <span class="error-msg"
                                *ngIf="submitted && loginForm.controls.password.errors?.required || isValid('password')">Password
                                cannot be blank</span>
                        </div>
                        <button #focusableSubmit type="button" class="btn btn-info btn-lg btn-block"
                            (click)="adminLogin()">Login</button>

                    </form>


                </div>
            </div>



        </div>
    </div>

</div>